FileControllerMoveFile Method |
POST /File/Move/{id}
Moves the file with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Move")]
public IActionResult MoveFile(
Guid id,
[FromBodyAttribute] MoveEntryOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Move")>
Public Function MoveFile (
id As Guid,
<FromBodyAttribute> options As MoveEntryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Move")]
IActionResult^ MoveFile(
Guid id,
[FromBodyAttribute] MoveEntryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Move")>]
member MoveFile :
id : Guid *
[<FromBodyAttribute>] options : MoveEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to move. - options
- Type: Dundas.BI.WebApi.ModelsMoveEntryOptions
The options for moving this file. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also